#include<bits/stdc++.h>
using namespace std;
#define int long long
#define mid ((l + r) >> 1)
#define ls (now << 1)
#define rs ((now << 1) | 1)
#define mp make_pair

const int N = 10000005;
const int inf = 2e17 + 1;
int m, n, pr[N / 5], cnt, vis[N], S[N];
int s;
double c;
void init()
{
	cin >> n;
	for(int i = 2; i <= n; ++ i)
		for(int j = i + i; j <= n; j += i)
			vis[j] += i;
	for(int i = 2; i <= n; ++ i)
		if(vis[i] + 1 == i) cout << i << " ";
}
signed main()
{
	int T = 1;
//	cin >> T;
	while(T --)
		init();
	return 0;
}


